/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.click.examples.page.jsp;

import org.apache.click.control.ActionLink;
import org.apache.click.control.PageLink;
import org.apache.click.examples.page.BorderPage;
import org.apache.click.util.Bindable;

/**
 * Provides a multiple JSP page path example class.
 */
public class MultiPathDemo extends BorderPage {

    private static final long serialVersionUID = 1L;

    @Bindable protected ActionLink changePath = new ActionLink("changePath", this, "changePath");

    @Bindable protected PageLink defaultPath = new PageLink("defaultPath", MultiPathDemo.class);

    public boolean changePath() {
        setPath("/jsp/dummy.jsp");
        return true;
    }

    @Override
    public String getTemplate() {
        return "/border-template.jsp";
    }
}
